#include "mbed.h"
#include "MMA8452Q/MMA8452Q.h"

typedef enum{
    type_bouton = 1,
    type_accelerometre = 2
} sensor_type_t;

struct Accel_result
{
    float x;
    float y;
    float z;
};

struct Bouton_result
{
    int etat;
};

typedef union 
{
    struct Accel_result Accelerometre;
    struct Bouton_result Bouton;
} sensor_union_t;

typedef struct {    
    sensor_type_t sensor_type;
    sensor_union_t sensor_result;
} sensor_t;

extern sensor_t (*p[2])();

// Accelerometer - SDA, SCL, and I2C address

void initialize_sensors();